curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/billingTemplates/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"business_unit_id": "string",
"cancel_installment_schedules": true,
"description": "string",
"expiring_credit_card_reminder_options": {
"order_type_restriction": "exclude",
"order_types": {
"0": "string"
},
"reminders": [
{
"card_expiration_date_end": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"card_expiration_date_start": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"id": 0.1,
"name": "string",
"notice_id": "string"
}
]
},
"id": "string",
"installment_schedule_cancellation_options": {
"date_range_end": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"date_range_start": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"notice_id": "string",
"order_type_restriction": "exclude",
"order_types": {
"0": "string"
}
},
"installment_schedule_options": {
"card_type_restriction": "exclude",
"card_types": {
"0": "american express"
},
"date_range_end": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"date_range_start": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"do_not_send_standard_email_confirmations": true,
"failure_notice_id": "string",
"order_type_restriction": "exclude",
"order_types": {
"0": "string"
},
"payment_type_restriction": "exclude",
"payment_types": {
"0": "credit card"
},
"success_notice_id": "string"
},
"installment_schedule_reminder_options": {
"order_type_restriction": "exclude",
"order_types": {
"0": "string"
},
"reminders": [
{
"date_range_end": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"date_range_start": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"id": 0.1,
"name": "string",
"notice_id": "string"
}
]
},
"is_active": true,
"name": "string",
"notification_email": "string",
"process_installment_schedules": true,
"send_expiring_credit_card_reminders": true,
"send_installment_schedule_reminders": true,
"send_statements": true,
"statement_options": {
"business_unit_ids": {
"0": "string"
},
"business_unit_restriction": "exclude",
"customer_type": "both",
"order_type_restriction": "exclude",
"order_types": {
"0": "string"
},
"statement_template_id": "string"
},
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1
}'